# pyresample.future.geometry.swath module

Definitions for swath-based or non-uniform geometries.

class pyresample.future.geometry.swath.SwathDefinition(lons, lats, crs=None, attrs=None)

  Bases: `SwathDefinition`

  Swath defined by lons and lats.

  Parameters:

    - lons (numpy array)

    - lats (numpy array)

    - crs (pyproj.CRS,) – The CRS to use. longlat on WGS84 by default.

    - attrs (dict,) – A dictionary made to store metadata.

  shape

    Swath shape

    Type:

      tuple

  size

    Number of elements in swath

    Type:

      int

  ndims

    Swath dimensions

    Type:

      int

  lons

    Swath lons

    Type:

      object

  lats

    Swath lats

    Type:

      object

  cartesian_coords

    Swath cartesian coordinates

    Type:

      object

  Initialize SwathDefinition.

  __init__(lons, lats, crs=None, attrs=None)

    Initialize SwathDefinition.

  concatenate(other)

    Concatenate coordinate definitions.